List Payment Methods
curl --request GET \
--url https://app.plugchoice.com/api/v3/teams/{team}/billing/payment-methods \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.plugchoice.com/api/v3/teams/{team}/billing/payment-methods"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.plugchoice.com/api/v3/teams/{team}/billing/payment-methods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"default_method": "<string>",
"methods": [
{
"id": "<string>",
"type": "<string>",
"is_default": true,
"card": {
"brand": "<string>",
"last4": "<string>",
"exp_month": 123,
"exp_year": 123
},
"sepa_debit": {
"bank_code": "<string>",
"last4": "<string>",
"country": "<string>"
}
}
]
}Payment Methods
List Payment Methods
GET
/
v3
/
teams
/
{team}
/
billing
/
payment-methods
List Payment Methods
Returns the payment methods on file for a team. Requires a verified email and is rate limited to 30 requests per minute.
The UUID of the team.
Response
The ID of the default payment method, or
null if none is set.List of payment method objects.
Show method properties
Show method properties
The Stripe payment method ID.
The payment method type. One of
card or sepa_debit.Whether this is the default payment method.
⌘I